# Class Gff3Constants

java.lang.Object
htsjdk.tribble.gff.Gff3Constants

public class Gff3Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALIAS_ATTRIBUTE_KEY`
`static final char`
`ATTRIBUTE_DELIMITER`
`static final String`
`COMMENT_START`
`static final String`
`DIRECTIVE_START`
`static final char`
`END_OF_LINE_CHARACTER`
`static final char`
`FIELD_DELIMITER`
`static final String`
`ID_ATTRIBUTE_KEY`
`static final char`
`KEY_VALUE_SEPARATOR`
`static final String`
`NAME_ATTRIBUTE_KEY`
`static final String`
`PARENT_ATTRIBUTE_KEY`
`static final String`
`UNDEFINED_FIELD_VALUE`
`static final char`
`VALUE_DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`Gff3Constants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FIELD_DELIMITER

public static final char FIELD_DELIMITER

See Also:
  - Constant Field Values

### ATTRIBUTE_DELIMITER

public static final char ATTRIBUTE_DELIMITER

See Also:
  - Constant Field Values

### KEY_VALUE_SEPARATOR

public static final char KEY_VALUE_SEPARATOR

See Also:
  - Constant Field Values

### VALUE_DELIMITER

public static final char VALUE_DELIMITER

See Also:
  - Constant Field Values

### COMMENT_START

public static final String COMMENT_START

See Also:
  - Constant Field Values

### DIRECTIVE_START

public static final String DIRECTIVE_START

See Also:
  - Constant Field Values

### UNDEFINED_FIELD_VALUE

public static final String UNDEFINED_FIELD_VALUE

See Also:
  - Constant Field Values

### PARENT_ATTRIBUTE_KEY

public static final String PARENT_ATTRIBUTE_KEY

See Also:
  - Constant Field Values

### END_OF_LINE_CHARACTER

public static final char END_OF_LINE_CHARACTER

See Also:
  - Constant Field Values

### ID_ATTRIBUTE_KEY

public static final String ID_ATTRIBUTE_KEY

See Also:
  - Constant Field Values

### NAME_ATTRIBUTE_KEY

public static final String NAME_ATTRIBUTE_KEY

See Also:
  - Constant Field Values

### ALIAS_ATTRIBUTE_KEY

public static final String ALIAS_ATTRIBUTE_KEY

See Also:
  - Constant Field Values

## Constructor Details

### Gff3Constants

public Gff3Constants()